# subtitlecomposer

Video subtitle editor

https://invent.kde.org/multimedia/

https://invent.kde.org/multimedia/subtitlecomposer

<br><br>
How to clone this repository:

```
git clone https://gitlab.com/azul4/content/plasma/subtitlecomposer.git
```

KaOS PKGBUILD:

```
pkgname=subtitlecomposer
_pkgname=SubtitleComposer
pkgver=0.7.1
pkgrel=7
pkgdesc="Open source text-based subtitle editor that supports basic and more advanced operations "
arch=('x86_64')
url="https://invent.kde.org/kde/subtitlecomposer"
license=('GPL')
depends=('kauth' 'kconfig' 'kconfigwidgets' 'kcoreaddons' 'ki18n' 'kio' 'kxmlgui' 'sonnet'
         'kross' 'kcodecs' 'ktextwidgets' 'kwidgetsaddons'
         'gettext' 'mplayer' 'mpv' 'icu' 'ffmpeg')
makedepends=('extra-cmake-modules')
source=("https://download.kde.org/stable/subtitlecomposer/${pkgname}-${pkgver}.tar.xz"
        "https://invent.kde.org/multimedia/subtitlecomposer/-/commit/4f4f560e40ba0b760cf688eb024be3cc734ca347.diff")
#source=("https://github.com/maxrd2/subtitlecomposer/archive/${_commit}.zip")
sha256sums=('ef9cb3c0c1fe1f40cf9d8e795859b9b28adf2da3be77a076d46bc28df4cd0255'
            '25180c50902032bbcdb0da65b36def5dabd5a22a4d0a0085cf39638b64d05693')

prepare() {
  cd ${pkgname}-${pkgver}
  # ffmpeg 5 needed
  patch -p1 -i ${srcdir}/4f4f560e40ba0b760cf688eb024be3cc734ca347.diff
  #sed -i -e 's|KF5::SonnetUi|KF5::SonnetUi KF5::KHtml|' src/common/CMakeLists.txt
}

build() {
    cmake -B build -S ${pkgname}-${pkgver} \
        -DCMAKE_INSTALL_PREFIX=/usr \
        -DCMAKE_BUILD_TYPE=Release \
        -DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
        -DKDE_INSTALL_LIBDIR=lib
    cmake --build build
}

package() {

    DESTDIR=${pkgdir} cmake --install build
}
```
